=== debian/control ===
Source: dotnet10
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: bash-completion,
               clang,
               cmake,
               debhelper-compat (= 13),
               dh-exec,
               dotnet-sdk-10.0,
               dotnet-sdk-10.0-source-built-artifacts,
               git,
               libicu-dev,
               libkrb5-dev,
               liblttng-ust-dev,
               libbrotli-dev,
               libssl-dev,
               libunwind-dev,
               lld,
               llvm,
               locales-all,
               python3,
               rapidjson-dev,
               tree,
               zlib1g-dev
Standards-Version: 4.6.2
Rules-Requires-Root: binary-targets
Homepage: https://dot.net

Package: dotnet10
Architecture: amd64 arm64 s390x ppc64el
Depends: dotnet-sdk-10.0, ${misc:Depends}, ${shlibs:Depends}
Breaks: dotnet6 (<< 6.0.111~)
Description: .NET CLI tools and runtime
 The .NET platform is a fast, lightweight and modular, enabling the creation of
 cross platform applications that work on GNU/Linux, macOS and Windows.
 .
 It particularly focuses on creating console applications, web
 applications, and micro-services.
 .
 The .NET platform contains a runtime conforming to .NET Standards, a set of
 framework libraries, an SDK containing compilers, and a 'dotnet'
 CLI application to drive everything.

Package: dotnet-host-10.0
Architecture: amd64 arm64 s390x ppc64el
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: dotnet-host, dotnet-host-7.0, dotnet-host-8.0, dotnet-host-9.0
Replaces: dotnet-host, dotnet-host-7.0, dotnet-host-8.0, dotnet-host-9.0
Provides: dotnet-host, dotnet-host-7.0, dotnet-host-8.0, dotnet-host-9.0
Description: .NET host command line
 The .NET host is a command line program that runs a standalone .NET
 application or launches the SDK.
 .
 The .NET platform is a fast, lightweight and modular, enabling the creation of
 cross platform applications that work on GNU/Linux, macOS and Windows.
 .
 It particularly focuses on creating console applications, web
 applications, and micro-services.

Package: dotnet-hostfxr-10.0
Architecture: amd64 arm64 s390x ppc64el
Depends: dotnet-host-10.0, ${misc:Depends}, ${shlibs:Depends}
Breaks: dotnet-hostfxr-6.0 (<< 6.0.111~)
Description: .NET host resolver
 The .NET host resolver contains the logic to resolve and select
 the right version of the .NET SDK or runtime to use.
 .
 The .NET platform is a fast, lightweight and modular, enabling the creation of
 cross platform applications that work on GNU/Linux, macOS and Windows.
 .
 It particularly focuses on creating console applications, web
 applications, and micro-services.

Package: dotnet-runtime-10.0
Architecture: amd64 arm64 s390x ppc64el
Depends: dotnet-hostfxr-10.0,
         ${libicu:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: dotnet-runtime-dbg-10.0
Breaks: dotnet-runtime-6.0 (<< 6.0.111~)
Description: .NET runtime
 The .NET runtime contains everything needed to run .NET applications.
 It includes a high performance Virtual Machine as well as the framework
 libraries used by .NET applications.
 .
 The .NET platform is a fast, lightweight and modular, enabling the creation of
 cross platform applications that work on GNU/Linux, macOS and Windows.
 .
 It particularly focuses on creating console applications, web
 applications, and micro-services.

Package: aspnetcore-runtime-10.0
Architecture: amd64 arm64 s390x ppc64el
Depends: dotnet-runtime-10.0, ${misc:Depends}, ${shlibs:Depends}
Suggests: aspnetcore-runtime-dbg-10.0
Breaks: aspnetcore-runtime-6.0 (<< 6.0.111~)
Description: ASP.NET Core runtime
 The ASP.NET Core runtime contains everything needed to run .NET
 web applications. It includes a high performance Virtual Machine as
 well as the framework libraries used by .NET applications.
 .
 ASP.NET Core is a fast, lightweight and modular platform for creating
 cross platform applications that work on GNU/Linux, macOS and Windows.
 .
 It particularly focuses on creating console applications, web
 applications, and micro-services.

Package: dotnet-templates-10.0
Architecture: amd64 arm64 s390x ppc64el
Depends: dotnet-host-10.0, ${misc:Depends}, ${shlibs:Depends}
Breaks: dotnet-templates-6.0 (<< 6.0.111~)
Description: .NET 10.0 templates
 This package contains templates used by the .NET SDK.
 .
 The .NET platform is a fast, lightweight and modular, enabling the creation of
 cross platform applications that work on GNU/Linux, macOS and Windows.
 .
 It particularly focuses on creating console applications, web
 applications, and micro-services.

Package: dotnet-sdk-10.0
Architecture: amd64 arm64 s390x ppc64el
Depends: aspnetcore-runtime-10.0,
         aspnetcore-targeting-pack-10.0,
         dotnet-apphost-pack-10.0,
         dotnet-runtime-10.0,
         dotnet-targeting-pack-10.0,
         dotnet-templates-10.0,
         ca-certificates,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: dotnet-sdk-aot-10.0 [amd64 arm64]
Suggests: dotnet-sdk-dbg-10.0
Breaks: dotnet-sdk-6.0 (<< 6.0.111~)
Description: .NET 10.0 Software Development Kit
 The .NET SDK is a collection of command line applications to
 create, build, publish, and run .NET applications.
 .
 The .NET platform is a fast, lightweight and modular, enabling the creation of
 cross platform applications that work on GNU/Linux, macOS and Windows.
 .
 It particularly focuses on creating console applications, web
 applications, and micro-services.

Package: dotnet-sdk-10.0-source-built-artifacts
Architecture: amd64 arm64 s390x ppc64el
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Internal package for building the .NET 10.0 Software Development Kit
 The .NET source-built archive is a collection of packages needed
 to build the .NET SDK itself.
 .
 These are not meant for general use.

Package: dotnet-sdk-aot-10.0
Architecture: amd64 arm64
Depends: dotnet-sdk-10.0, ${misc:Depends}, ${shlibs:Depends}
Description: .NET platform NativeAOT components.
 This package provides the SDK components for platform NativeAOT.

Package: dotnet-targeting-pack-10.0
Architecture: amd64 arm64 s390x ppc64el
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: dotnet-targeting-pack-6.0 (<< 6.0.111~)
Description: Internal - targeting pack for Microsoft.NETCore.App 10.0
 This package provides a targeting pack for Microsoft.NETCore.App 10.0
 that allows developers to compile against and target Microsoft.NETCore.App 10.0
 applications using the .NET SDK. This are not meant for general use.

Package: aspnetcore-targeting-pack-10.0
Architecture: amd64 arm64 s390x ppc64el
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: aspnetcore-targeting-pack-6.0 (<< 6.0.111~)
Description: Internal - targeting pack for Microsoft.AspNetCore.App 10.0
 This package provides a targeting pack for Microsoft.AspNetCore.App 10.0
 that allows developers to compile against and target
 Microsoft.AspNetCore.App 10.0 applications using the .NET SDK.
 This are not meant for general use.

Package: dotnet-apphost-pack-10.0
Architecture: amd64 arm64 s390x ppc64el
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: dotnet-apphost-pack-6.0 (<< 6.0.111~)
Description: Internal - targeting pack for Microsoft.NETCore.App 10.0
 This package provides a targeting pack for Microsoft.NETCore.App 10.0
 that allows developers to compile against and target Microsoft.NETCore.App 10.0
 applications using the .NET SDK. This not meant for general use.

Package: aspnetcore-runtime-dbg-10.0
Architecture: amd64 arm64 s390x ppc64el
Depends: aspnetcore-runtime-10.0, ${misc:Depends}, ${shlibs:Depends}
Description: ASP.NET Runtime debug symbols.
 This package provides the PDB debug symbols for Microsoft.AspNetCore.App 10.0.

Package: dotnet-runtime-dbg-10.0
Architecture: amd64 arm64 s390x ppc64el
Depends: dotnet-runtime-10.0, ${misc:Depends}, ${shlibs:Depends}
Description: .NET Runtime debug symbols.
 This package provides the PDB debug symbols for Microsoft.NETCore.App 10.0.

Package: dotnet-sdk-dbg-10.0
Architecture: amd64 arm64 s390x ppc64el
Depends: dotnet-sdk-10.0, ${misc:Depends}, ${shlibs:Depends}
Description: .NET SDK debug symbols.
 This package provides the PDB debug symbols for the .NET 10.0 SDK.
