## dotnet10 10.0.100-10.0.0

=== debian/changelog ===
dotnet10 (10.0.100-10.0.0-0ubuntu1~25.04.1) plucky; urgency=medium

  * New upstream release (LP: #2130891)
  * d/{sdk-check-config.json,rules}: `dotnet sdk check` tool points to
    Canonical's release database.
  * d/rules: add `--branding rtm` to DOTNET_BUILD_ARGS.
  * d/p/0007-fix-tempdir-on-exit-trap.patch: fix unbound variable error.
  * d/dotnet-host-10.0.links: fixed dnx link name to /usr/bin/dnx (DNX_BIN).
  * d/t/regular-tests: synced with upstream to fix failing tests and add new
    ones for .NET 10.

 -- Mateus Rodrigues de Morais <mateus.morais@canonical.com>  Fri, 07 Nov 2025 16:11:31 +0100

dotnet10 (10.0.100-10.0.0~rc2-0ubuntu1~25.04.1~ppa1) plucky; urgency=medium

  * New upstream release
  * SECURITY UPDATE: denial of service
    - CVE-2025-55247: A vulnerability exists in .NET Core where predictable
      paths for MSBuild's temporary directories on Linux let another user
      create the directories ahead of MSBuild, leading to DoS of builds.
  * SECURITY UPDATE: validation bypass
    - CVE-2025-55315: Inconsistent interpretation of http requests
      ('http request/response smuggling') in ASP.NET Core allows an authorized
      attacker to bypass a security feature over a network.
  * SECURITY UPDATE: information disclosure
    - CVE-2025-55248: MITM (man in the middle) attacker may prevent use of TLS
      between client and SMTP server, forcing client to send data over
      unencrypted connection.
  * debian/copyright: add copyright information
  * source/lintian-overrides: update lintian-overrides for source package
  * eng/test-runner: sync changes with upstream
  * tests/control, tests/regular-tests: sync changes with upstream
  * debian/rules: remove temporary .NET 10 RC 1 fixups

 -- Dominik Viererbe <dominik.viererbe@canonical.com>  Wed, 08 Oct 2025 13:50:38 +0300

dotnet10 (10.0.100-10.0.0~rc1-0ubuntu1~25.04.1~ppa1) plucky; urgency=medium

  * New upstream release
  * d/control, d/rules: remove package netstandard-targeting-pack-2.1-10.0:
    Upstream removed this package, see: https://github.com/dotnet/sdk/pull/50354.

    IMPORTANT: If you had previous preview version of the `dotnet10` package
    installed and have installed one of the following packages: `dotnet9`,
    `dotnet8`, `dotnet7` or `dotnet6`, we recommend to reinstall these packages.
    Otherwise the .NET standard 2.1 targeting pack package will not receive any
    updates.

  * d/p/0002-roslyn-analyzers-dont-use-apphost.patch: roslyn-analyzers don't get
    built anymore, see: https://github.com/dotnet/dotnet/pull/1979
  * d/rules: add `--branding default` to DOTNET_BUILD_ARGS, see also:
    https://github.com/dotnet/source-build/issues/5337
  * d/rules: remove uninstalled netstandard-targeting-pack-2.1-10.0 files

 -- Dominik Viererbe <dominik.viererbe@canonical.com>  Wed, 10 Sep 2025 11:26:09 +0300

dotnet10 (10.0.100-10.0.0~preview7-0ubuntu1~25.04.1~ppa3) plucky; urgency=medium

  * d/dotnet-sdk-aot-10.0.install: update installation layout
    (see also: https://github.com/dotnet/docs/pull/46910)
  * d/dotnet-host-10.0.install, d/dotnet-host-10.0.links: add dnx tool
    (see also: https://github.com/dotnet/docs/pull/47094)

 -- Dominik Viererbe <dominik.viererbe@canonical.com>  Thu, 14 Aug 2025 00:41:10 +0300

dotnet10 (10.0.100-10.0.0~preview7-0ubuntu1~25.04.1~ppa2) plucky; urgency=medium

  * d/dotnet-sdk-10.0.install: remove sdk-manifest for microsoft.net.sdk.aspire
    (see: https://github.com/dotnet/source-build/issues/4735)

 -- Dominik Viererbe <dominik.viererbe@canonical.com>  Wed, 13 Aug 2025 21:42:00 +0300

dotnet10 (10.0.100-10.0.0~preview7-0ubuntu1~25.04.1~ppa1) plucky; urgency=medium

  * New upstream release.

 -- Dominik Viererbe <dominik.viererbe@canonical.com>  Wed, 13 Aug 2025 18:04:04 +0300

dotnet10 (10.0.100-10.0.0~preview6-0ubuntu1~25.04.1~ppa1) plucky; urgency=medium

  * New upstream release.

 -- Mateus Rodrigues de Morais <mateus.morais@canonical.com>  Mon, 21 Jul 2025 15:04:08 -0300

dotnet10 (10.0.100-10.0.0~preview5-0ubuntu1~25.04.1~ppa1) plucky; urgency=medium

  * New upstream release.

 -- Dominik Viererbe <dominik.viererbe@canonical.com>  Sat, 14 Jun 2025 12:51:42 +0300

dotnet10 (10.0.100-10.0.0~preview4-0ubuntu1~25.04.1~ppa1) plucky; urgency=medium

  * New upstream release.

 -- Dominik Viererbe <dominik.viererbe@canonical.com>  Thu, 29 May 2025 12:45:19 +0300
