=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,7 @@
 # See https://github.com/dotnet/source-build/issues/2767
 export HOME=$(shell mktemp --directory)
 
+export DNX_BIN = /usr/bin/dnx
 export DOTNET_BIN = /usr/bin/dotnet
 export DOTNET_ROOT_DIR = /usr/lib/dotnet
 export DOTNET_SYSCONF_DIR = /etc/dotnet
@@ -77,6 +78,11 @@
     DOTNET_BUILD_ARGS += --source-only
     DOTNET_RELEASE_ARTIFACTS_DIR = $(CURDIR)/artifacts/assets/Release
 
+#	Temporary branding parameter for .NET 10.0 GA release
+    ifeq ($(DOTNET_100_OR_GREATER), true)
+        DOTNET_BUILD_ARGS += --branding rtm
+    endif
+
     ifeq ($(DOTNET_USE_SYSTEM_BROTLI), true)
         SYSTEM_LIBRARIES += +brotli
     endif
@@ -100,12 +106,6 @@
     endif
 else
     DOTNET_RELEASE_ARTIFACTS_DIR = $(CURDIR)/artifacts/$(DOTNET_ARCH)/Release
-endif
-
-# Fixup for a bug in the build script. Should be fixed with .NET 10 RC 2.
-# See also: https://github.com/dotnet/source-build/issues/5337
-ifeq ($(DOTNET_100_OR_GREATER), true)
-    DOTNET_BUILD_ARGS += --branding default
 endif
 
 %:
@@ -132,6 +132,10 @@
 	printenv | sort
 	vmstat --stats --unit MiB
 
+#	Replace {{RELEASE}} placeholder in sdk-check-config.json with actual release version
+	sed -i "s/{{RELEASE}}/$(RELEASE)/g" debian/sdk-check-config.json
+	cat debian/sdk-check-config.json
+
 #	If a library is being pulled in from the system, remove the bundled source for it
 ifeq ($(DOTNET_USE_SYSTEM_BROTLI), true)
 	rm --recursive --force $(CURDIR)/src/runtime/src/native/external/brotli
@@ -150,7 +154,7 @@
 
 ifeq ($(DOTNET_CONTAINS_BOOTSTRAPPING_SDK), false)
 	mkdir --parents "$(DOTNET_PREREQS_PACKAGES_ARCHIVE_DIR)"
-	
+
 	DOTNET_SOURCE_BUILT_ARTIFACTS_TARBALL=($$(find "$(DOTNET_ROOT_DIR)/source-built-artifacts" -maxdepth 1 -name 'Private.SourceBuilt.Artifacts.$(DOTNET_MAJOR).$(DOTNET_MINOR).*.tar.gz')); \
 	if [ "$${#DOTNET_SOURCE_BUILT_ARTIFACTS_TARBALL[@]}" -ne 1 ]; then \
 		echo "None or more than one source built artifacts tarballs have been found: $${DOTNET_SOURCE_BUILT_ARTIFACTS_TARBALL[@]}"; \
@@ -160,7 +164,7 @@
 	ln --symbolic \
 		"$${DOTNET_SOURCE_BUILT_ARTIFACTS_TARBALL}" \
 		"$(DOTNET_PREREQS_PACKAGES_ARCHIVE_DIR)/"
-	
+
 	cp --recursive --dereference --preserve=mode,ownership,timestamps \
 	    "$(DOTNET_ROOT_DIR)" \
 	    "$(DOTNET_PREVIOUS_BUILT_DIR)"
@@ -172,7 +176,7 @@
 	/p:LogVerbosity=n \
 	/p:MinimalConsoleLogOutput=false \
 	/p:ContinueOnPrebuiltBaselineError=true
-	
+
 	tree
 
 override_dh_auto_test:
@@ -187,11 +191,11 @@
 		           --type sdk \
 				   --base-path "$(DOTNET_RELEASE_ARTIFACTS_DIR)")" \
 	    --directory "$(DEST_DIR)$(DOTNET_ROOT_DIR)"
-	
+
 ifeq ($(DOTNET_80_OR_GREATER), true)
 # 	Clean up unwanted PDB files in sdk tar.gz
 	find "$(DEST_DIR)$(DOTNET_ROOT_DIR)" -type f -name '*.pdb' -exec rm {} \;
-	
+
 # 	Extract debug symbols to their own directory for easy handling
 	mkdir --parents "$(CURDIR)/artifacts/debug-symbols"
 	tar --extract \
@@ -199,8 +203,5 @@
 	    --directory "$(CURDIR)/artifacts/debug-symbols"
 	ls "$(CURDIR)/artifacts/debug-symbols"
 endif
-	
+
 #   See https://github.com/dotnet/source-build/issues/2579
-	find "$(DEST_DIR)$(DOTNET_ROOT_DIR)" -type f -name 'testhost.x86' -delete
-	find "$(DEST_DIR)$(DOTNET_ROOT_DIR)" -type f -name 'vstest.console' -delete
-
