=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 Build-Depends: bash-completion,
-               clang,
+               clang-20,
                cmake,
                debhelper-compat (= 13),
                dh-exec,
@@ -16,8 +16,8 @@
                libbrotli-dev,
                libssl-dev,
                libunwind-dev,
-               lld,
-               llvm,
+               lld-20,
+               llvm-20,
                locales-all,
                python3,
                rapidjson-dev,
