## dotnet10 10.0.102-10.0.2

=== debian/changelog ===
dotnet10 (10.0.102-10.0.2-0ubuntu1~25.10.1) questing; urgency=medium

  * New upstream release (LP: #2138378)
  * d/p/0007-fix-identitymodel-version.patch: dropped patch included upstream.
  * d/copyright: fix missing newline between entries.
  * d/rules: remove temporary --branding parameter in build script call.

 -- Mateus Rodrigues de Morais <mateus.morais@canonical.com>  Mon, 26 Jan 2026 10:27:55 -0300

dotnet10 (10.0.101-10.0.1-0ubuntu1~25.10.2) questing; urgency=medium

  * Resolve package build failures (LP: #2134505):
    - d/p/0007-fix-identitymodel-version.patch: fix FTBFS caused by date-based
      version string calculation in the Microsoft.IdentityModel.Abstractions
      package.
    - d/t/regular-tests/cgroup-limit/test.sh: fix autopkgtest regression in
      Ubuntu releases with rust-coreutils by comparing the cgroup filesystem ID
      instead of friendly name.

 -- Mateus Rodrigues de Morais <mateus.morais@canonical.com>  Fri, 16 Jan 2026 11:17:22 -0300

dotnet10 (10.0.101-10.0.1-0ubuntu1~25.10.1) questing; urgency=medium

  * New upstream release. (LP: #2134505)
  * d/p/0007-fix-tempdir-on-exit-trap.patch: dropped patch included upstream.
  * Clean up source tree and sync tests with upstream.
    - d/t/regular-tests: synced with upstream.
      + Removed release-version-sane test following upstream.
      + Removed unnecessary files from source tree.
      + Normalized newline characters to Unix.
    - d/t/run-regular-tests: fixed test username typo.
    - d/rules: cleaned up trailing spaces.
    - d/eng/test-runner: removed unnecessary files from source tree.

 -- Mateus Rodrigues de Morais <mateus.morais@canonical.com>  Tue, 09 Dec 2025 18:28:55 -0300

dotnet10 (10.0.100-10.0.0-0ubuntu1~25.10.1) questing; urgency=medium

  * New upstream release (LP: #2130891)
  * d/{sdk-check-config.json,rules}: `dotnet sdk check` tool points to
    Canonical's release database.
  * d/rules: add `--branding rtm` to DOTNET_BUILD_ARGS.
  * d/p/0007-fix-tempdir-on-exit-trap.patch: fix unbound variable error.
  * d/dotnet-host-10.0.links: fixed dnx link name to /usr/bin/dnx (DNX_BIN).
  * d/eng/test-runner/*/obj: removed unwanted build artifact directory from
    source package.
  * d/t/regular-tests: synced with upstream to fix failing tests and add new
    ones for .NET 10.

 -- Mateus Rodrigues de Morais <mateus.morais@canonical.com>  Fri, 07 Nov 2025 16:11:30 +0100
